# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

IUSE=""

MY_PN="FD"
MY_P="${MY_PN}-${PV}"

DESCRIPTION="FDclone is a file & directory maintenance tool for the UNIX based OS"
SRC_URI="http://hp.vector.co.jp/authors/VA012337/soft/fd/${MY_P}.tar.gz"
HOMEPAGE="http://hp.vector.co.jp/authors/VA012337/soft/fd/"

DEPEND="sys-libs/ncurses"

KEYWORDS="x86 alpha ~sparc ~sparc64 ~ppc"

LICENSE="http://hp.vector.co.jp/authors/VA012337/soft/fd/LICENSES.txt"
# not in ${PORTDIR}/licenses

SLOT="0"

S="${WORKDIR}/${MY_P}"

src_compile(){
	emake PREFIX=/usr \
		CC=gcc \
		CFLAGS="${CFLAGS} -DLINUX=1 -O -D_FILE_OFFSET_BITS=64 \$(DEBUG)" \
		|| die "Compile failed."
}

src_install(){
	dodir /usr/bin /usr/share/man /usr/share/man/man1 /usr/share/man/ja/man1

	emake BUILD=${D} \
		MANDIR="\$(TOPDIR)/share/man/ja/man\$(MANSEC)" \
		CATDIR="\$(TOPDIR)/share/man/ja/cat\$(MANSEC)" \
		EMANDIR="\$(TOPDIR)/share/man/man\$(MANSEC)" \
		ECATDIR="\$(TOPDIR)/share/man/cat\$(MANSEC)" \
		install || die "Install failed."

	dodoc FAQ* HISTORY* LICENSES* README* TECHKNOW*
}
